%define momorel 4
name: gprolog
Summary: GNU Prolog - conforms to the ISO standard for Prolog
Version: 1.2.16
Release: %{momorel}m
Source0: ftp://ftp.inria.fr/INRIA/Projects/contraintes/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch: gprolog.diff
License: GPL
Group: Applications/Engineering
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc3.2
ExclusiveArch: i386 i486 i586 i686
URL: http://pauillac.inria.fr/~diaz/gnu-prolog/

%description
GNU Prolog is a native Prolog compiler with constraint solving
over finite domains (FD).

%prep
%setup -q -n %{name}-%{version}/src

%build
export CC=gcc_3_2
%configure --with-install-dir=%{_libdir}/%{name}
make all

%install
rm -rf %{buildroot}
%makeinstall INSTALL_DIR=%{buildroot}%{_libdir}/%{name} \
	     DOC_DIR=%{buildroot}%{_docdir} \
	     HTML_DIR=%{buildroot}%{_docdir}/Html \
	     EXAMPLES_DIR=%{buildroot}%{_libdir}/%{name} \
	     LINKS_DIR="none"
mkdir -p %{buildroot}/%{_bindir}
pushd %{buildroot}/%{_bindir}
for i in fd2c  gplc  gprolog  hexgplc  ma2asm  pl2wam  wam2ma; do
  ln -s ../lib/%{name}/bin/$i $i
done

# remove
rm -rf %{buildroot}%{_docdir}/*

%clean
rm -rf %{buildroot}

%changelog
* Sun Jan  8 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.16-4m)
- export CC=gcc_3_2, force using gcc 3.2.

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.16-3m)
- revised spec for enabling rpm 4.2.

* Wed Jul  2 2003 zunda <zunda at freeshell.org>
- (kossori)
- change source location (thanks to Mr. Tanaka)

* Tue Jun 17 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.16-2m)
- change source location(reported by SIVA)

* Sat Oct 26 2002 Kikutani Makoto <poo@momonga-linux.org>
- (1.2.16-1m)
- upgrade to 1.2.16

* Tue Jul 23 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.13-1m)
- upgrade to 1.2.13

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- nigittenu

* Mon Nov 20 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- move CFLAGS to configure

* Tue Jul  4 2000 AYUHANA Tomonori <l@kondara.org>
- (1.1.2-2k)
- SPEC fixed ( URL )
- add -q at %setup
- add -b at %patch
- add RPM_OPT_FLAGS at make
- change %install section
- change %files section

* Sat Jan 29 2000 Toru Hoshina <t@kondara.org>
- add some fix to spec file.

* Wed Jan 26 2000 AYUHANA Tomonori <l@kondara.org>
- enable to install in Kondara MNU/Linux


%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/gprolog
%doc ../doc/Html ../doc/manual.*
%doc ../COPYING ../ChangeLog ../INSTALL ../NEWS ../PROBLEMS ../README ../VERSION
